<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;

        }
        img {
            width: 300px;

        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <?php
        $host = "webdev.iyaserver.com";
        $userid = "dent_guest";
        $userpw = "Acad276_Dev2Ex@m";
        $db = "dent_exam";

        $mysql = new mysqli($host, $userid, $userpw, $db);

        if ($mysql->connect_errno) {
            echo "Database connection error: " . $mysql->connect_error;
            exit();
        }

        if (empty($_REQUEST['id'])) {
            echo "Please go through <a href='search.php'>search page</a>.";
            exit();
        }

        $sql = 	"SELECT * FROM devices, systems, types, manufacturers 
             WHERE devices.manufacturer_id = manufacturers.manufacturer_id 
               AND devices.system_id = systems.system_id 
               AND devices.type_id = types.type_id
               AND devices.device_id = '" . $_REQUEST["id"] . "'";

        $results = $mysql->query($sql);

        if(!$results) {
            echo "SQL Error: " . $mysql->error . "<hr>";
            exit();
        }

    ?>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <div class="details">
        <table>
            <tr>
            <?php
            while($currentrow = $results->fetch_assoc()) {
                echo "<td rowspan='5' class='img'><img src='" .
                    $currentrow['img_url'] .
                    "' class='img'></td>" .
                    "<td>Name: <strong><em>" .
                    $currentrow['name'] .
                    "</em></strong></td></tr>" .
                    "<tr><td>Price: <strong>" . $currentrow['price'] . "</strong></td></tr>" .
                    "<tr><td>Manufacturer: " . $currentrow['manufacturer'] . "</td></tr>" .
                    "<tr><td>System: " . $currentrow['system'] . "</td></tr>" .
                    "<tr><td>Type: " . $currentrow['type'] . "</td></tr>";
            }
            ?>
        </table>

    </div>

</div>
</body>
</html>